cost.hh File Reference
`#include <mia/core/cost.hh>`
`#include <mia/3d/image.hh>`
Include dependency graph for 3d/cost.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef TCost< C3DImage, C3DFVectorfield > | C3DImageCost
| the image-to-image cost function base class
typedef TFactory< C3DImageCost > | C3DImageCostPlugin
| plug-in for the image-to-image cost function base class
typedef THandlerSingleton< TFactoryPluginHandler< C3DImageCostPlugin > > | C3DImageCostPluginHandler
| plug-in handler for the image-to-image cost function base class
typedef std::shared_ptr< C3DImageCost > | P3DImageCost
| pointer type of the image-to-image cost function base class

## Variables

template class EXPORT_3D | TCost< C3DImage, C3DFVectorfield >
template class EXPORT_3D | THandlerSingleton< TFactoryPluginHandler< C3DImageCostPlugin > >
template<>
const char *const | TPluginHandler< C3DImageCostPlugin >::m_help

## Variable Documentation

## TCost< C3DImage, C3DFVectorfield >

template class EXPORT_3D TCost< C3DImage, C3DFVectorfield >

extern

## THandlerSingleton< TFactoryPluginHandler< C3DImageCostPlugin > >

template class EXPORT_3D THandlerSingleton< TFactoryPluginHandler< C3DImageCostPlugin > >

extern

## TPluginHandler< C3DImageCostPlugin >::m_help

template<>

const char* const TPluginHandler< C3DImageCostPlugin >::m_help

Definition at line 55 of file 3d/cost.hh.